# Cuddle Please 

Cuddle Please is an extension to `cuddle`, it is a separate binary that can be executed standalone as `cuddle-please`, or in cuddle as `cuddle please`.

The goal of the software is to be a `release-please` clone, targeting `gitea` instead of `github`.

The tool can be executed as a binary using:

```bash
cuddle please release # if using cuddle
# or
cuddle-please release # if using standalone
```

And when a release has been built:

```bash
cuddle please release
# or
cuddle-please release
```

cuddle will default to information to it available in git, or use a specific entry in `cuddle.yaml` called

```yaml
# ...
please:
  name: <something>  
  # ...
# ...
```

or as `cuddle.please.yaml`

See docs for more information about installation and some such

## Checklist 

### 0.1 Milestone 

- [x] Hide unneccessary commands
- [x] Redo configuration frontend
- [x] Refactor command.rs into smaller bits so that bits are easier to test
- [x] Add cuddle.release.yaml to this repo
- [x] Setup temporary git name and email to use for git committing

### 0.2 Milestone

- [ ] Add docs
- [ ] Add asciinema
- [ ] Add examples
  - [ ] Fx drone config
    - [ ] Releaser
    - [ ] On main/master
- [ ] Add reporter for PR and Repositories
- [ ] tbd...

### 0.3 Milestone 

- [ ] Add inquire for missing values when needed (when not running in ci or have a proper tty)
- [ ] Break down cuddle-please-misc

### 0.x Milestone
- [ ] Add github support
- [ ] Add custom strategies
- [ ] Create docker image
- [ ] Add more granular tests
